/*
/// Very basic styles
*/

*,
*:before,
*:after {
  box-sizing: inherit;
}

:root {
  box-sizing: border-box;
  text-size-adjust: none;
  -webkit-text-size-adjust: none;
  position: relative;
  min-height: 100%;
}

html,
body {
  box-sizing: border-box;
  margin: 0;
  min-height: calc(100vh - var(--offset-page));
  scroll-behavior: smooth;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale
}

@media (prefers-reduced-motion: reduce) {
  html {
    scroll-behavior: auto;
  }
}

@media (prefers-reduced-motion: reduce) {
  :root {
    --enable-shadows: none;
  }
}

/* Selection focus */
main:focus {
  outline: none;
}


@supports selector(:focus-visible) {
  :focus {
    outline: none;
  }

  [tabindex="-1"]:focus:not(:focus-visible) {
    outline: 0;
  }

  :focus-visible,
  .outline {
    --color-outline: var(--color-primary-light);
    outline: 2px solid var(--color-outline);
    outline-offset: 2px;
    border-radius: .125em;
    z-index: 9999;
  }
  @media (prefers-reduced-motion: no-preference) {
    :focus-visible {
      transition: outline-offset 0s ease;
      outline-offset: 2px;
    }
}
}

/* Chunk rendering for all but the first article */
body > main > * + * {
  content-visibility: auto;
}

/* Images
// -------------------------
*/

img {
  max-width: 100%;
  height: auto;
  vertical-align: middle;
  -ms-interpolation-mode: bicubic;
  border: 0;
  border-radius: .25rem;
}

/* We need to revert these for Google maps cause else it breaks! */
.img--no-max {
  max-width: none;
}

/* Time
// -------------------------
*/

time {
  font-size: var(--text-sm);
}

/* Figures
// -------------------------
*/

figure {
  margin: 0;
}

figure[class*="h-0"] > picture {
  position: absolute;
  top: 0; 
  right: 0;
  left: 0; 
  bottom: 0;
}

figure img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

figcaption {
  margin-top: 1rem;
  font-size: var(--text-sm);
}

/* Links
// -------------------------
*/

a {
  text-decoration: underline;
  color: currentColor;
}

[href]:hover {
  text-decoration: none;
}

a:hover,
a:active {
  outline: none;
}

[id] {
  scroll-snap-margin-top: calc(var(--offset-page) + 1.5em - 1px);
  scroll-margin-top: calc(var(--offset-page) + 1.5em - 1px);
}


/* Forms
// -------------------------
*/

fieldset {
  margin: 0;
  padding: 0;
  border: none;
}

input[type=text],
input[type=url],
input[type=tel],
input[type=date],
input[type=email],
input[type=password],
input[type=number],
textarea {
  box-sizing: border-box;
  width: 100%;
  font-family: inherit;
  margin-bottom: calc(var(--baseline) / 2);
  padding: calc(var(--baseline) / 2);
}

/* Lists
// -------------------------
*/

ul,
ol {
  margin-bottom: var(--baseline);
}

/*/ List options
// -------------------------
*/

/* Unstyled keeps list items block level, just removes default browser padding and list-style*/
ul[role=list],
.list-unstyled {
  margin: 0;
  padding-left: 0;
  list-style: none;
}

/* Inline turns list items into inline-block */
.list-inline > li {
  display: inline-block;
  margin: 0 -5px 0 0;
}

/*/ Print
// -------------------------
*/

.print { display: none }
